org.apache.mina.example.proxy

## Class ServerToProxyIoHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.apache.mina.example.proxy.AbstractProxyIoHandler
    - - org.apache.mina.example.proxy.ServerToProxyIoHandler

- All Implemented Interfaces:
    IoHandler

      public class ServerToProxyIoHandler
      extends AbstractProxyIoHandler

  Handles the server to proxy part of the proxied connection.
  Author:
    Apache MINA Project

- - ### Field Summary

    - ### Fields inherited from class org.apache.mina.example.proxy.AbstractProxyIoHandler

      `OTHER_IO_SESSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerToProxyIoHandler()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.example.proxy.AbstractProxyIoHandler

      `messageReceived, sessionClosed, sessionCreated`

    - ### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

      `exceptionCaught, messageSent, sessionIdle, sessionOpened`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerToProxyIoHandler

          public ServerToProxyIoHandler()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.